Bug 189812 - [patch] Updated port net-im/ejabberd to 14.05
Summary: [patch] Updated port net-im/ejabberd to 14.05
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ashish SHUKLA
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-14 18:50 UTC by joe
Modified: 2014-05-25 05:02 UTC (History)
0 users

See Also:


Attachments
file.diff (36.61 KB, patch)
2014-05-14 18:50 UTC, joe
no flags Details | Diff
ejabberd-2.patch.txt (36.38 KB, text/plain)
2014-05-15 04:06 UTC, joe
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description joe 2014-05-14 18:50:00 UTC
Updated port to latest released version.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2014-05-14 18:50:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ashish

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 joe 2014-05-15 01:43:16 UTC
It won't build inside of Poudriere or Tinderbox because of no network
access during build-phase. It does build normally though.

If you would like me to bundle the dependencies with the release and
host them, let me know. I can certainly go this route if it is more desired.

Best Regards,
-Joe
Comment 3 Ashish SHUKLA freebsd_committer 2014-05-15 02:05:40 UTC
Hi Joe,

> It won't build inside of Poudriere or Tinderbox because of no network
> access during build-phase. It does build normally though.


> If you would like me to bundle the dependencies with the release and
> host them, let me know. I can certainly go this route if it is more desired.


Yes, that is what we need. I tried going this route myself by creating
snapshots of all dependencies, and then referencing those in rebar
configuration, but I could not make it work, it still insisted on 'git pull'
(IIRC)

Anyways, if you could do this, that will be great.

Thanks
-- 
Ashish SHUKLA      | GPG: F682 CDCC 39DC 0FEA E116  20B6 C746 CFA9 E74F A4B0
Sent from my Emacs
Comment 4 Ashish SHUKLA freebsd_committer 2014-05-19 09:03:43 UTC
Hi,

I've cleaned up the diff, and restored the original paths, and added various
OPTIONS. I tested it on my personal XMPP server, and it got upgraded from old
(2.1.13) mnesia db just fine.

The remaining issue is, there is no "epam" binary. So need to ping processone
folks about, and see if something is amissed. If you could test the diff[1],
or pinpoint/fix any issues, that'll be great.

I'll ask other folks who have contacted me in past to test it as well, and
will hopefully commit this update by the end of this week.

References:
[1]  http://people.freebsd.org/~ashish/diffs/ejabberd-14.05.diff
     SHA256: ce4ed8c47734348bc4499af3d11ae2dbc53fc50f4b2041dc557dae793706b188

Thanks!
-- 
Ashish SHUKLA      | GPG: F682 CDCC 39DC 0FEA E116  20B6 C746 CFA9 E74F A4B0
Sent from my Emacs
Comment 5 dfilter service freebsd_committer 2014-05-25 04:55:57 UTC
Author: ashish
Date: Sun May 25 03:55:50 2014
New Revision: 355108
URL: http://svnweb.freebsd.org/changeset/ports/355108
QAT: https://qat.redports.org/buildarchive/r355108/

Log:
  - Update to 14.05[1]
  - Add a separate tarball to contain dependencies.
  - Add OPTIONS for HTTP, STUN, JSON, MYSQL, PGSQL, LAGER, and ICONV
  - Add diff to install epam binary[2]
  
  PR:		ports/189812[1]
  Submitted by:	Joseph Benden <joe at thrallingpenguin.com>[1],
  		Christophe Romain <christophe.romain at process-one.net>[2]

Added:
  head/net-im/ejabberd/files/patch-Makefile.in   (contents, props changed)
  head/net-im/ejabberd/files/patch-ejabberdctl.template   (contents, props changed)
Deleted:
  head/net-im/ejabberd/files/patch-src-Makefile.in
  head/net-im/ejabberd/files/patch-src_ejabberdctl.template
Modified:
  head/net-im/ejabberd/Makefile
  head/net-im/ejabberd/distinfo
  head/net-im/ejabberd/pkg-plist

Modified: head/net-im/ejabberd/Makefile
==============================================================================
--- head/net-im/ejabberd/Makefile	Sun May 25 03:29:32 2014	(r355107)
+++ head/net-im/ejabberd/Makefile	Sun May 25 03:55:50 2014	(r355108)
@@ -2,33 +2,43 @@
 # $FreeBSD$
 
 PORTNAME=	ejabberd
-PORTVERSION=	2.1.13
+PORTVERSION=	14.05
 CATEGORIES=	net-im
-MASTER_SITES=	http://www.process-one.net/downloads/ejabberd/${PORTVERSION}/
-EXTRACT_SUFX=	.tgz
+MASTER_SITES=	http://www.process-one.net/downloads/${PORTNAME}/${PORTVERSION}/:p1 \
+		http://distfiles.pirateparty.in/%SUBDIR%/:deps \
+		${MASTER_SITE_LOCAL:S/$/:deps/}
+MASTER_SITE_SUBDIR=	ashish/:deps
+DISTFILES+=	${PORTNAME}-${PORTVERSION}.tgz:p1 ejabberd-deps-0.tar.xz:deps
 
 MAINTAINER=	ashish@FreeBSD.org
 COMMENT=	Free and Open Source distributed fault-tolerant Jabber server
 
 LICENSE=	GPLv2
-LICENSE_FILE=	${WRKDIR}/${PORTNAME}-${PORTVERSION}/COPYING
+LICENSE_FILE=	${WRKSRC}/COPYING
 
-BUILD_DEPENDS=	erlc:${PORTSDIR}/lang/erlang
+BUILD_DEPENDS=	erlc:${PORTSDIR}/lang/erlang \
+		git:${PORTSDIR}/devel/git
 RUN_DEPENDS=	erl:${PORTSDIR}/lang/erlang
-LIB_DEPENDS=	expat:${PORTSDIR}/textproc/expat2
+LIB_DEPENDS=	libexpat.so:${PORTSDIR}/textproc/expat2 \
+		libyaml.so:${PORTSDIR}/textproc/libyaml
 
 USERS=		ejabberd
 GROUPS=		${USERS}
 
 GNU_CONFIGURE=	yes
-USES=		iconv gmake pkgconfig
+USES=		gmake pkgconfig
 USE_RC_SUBR=	${PORTNAME}
 NOPRECIOUSMAKEVARS=	yes
 
-OPTIONS_DEFINE=	ODBC PAM DOCS
+OPTIONS_DEFINE=	ODBC PAM DOCS HTTP STUN JSON MYSQL PGSQL LAGER ICONV
+OPTIONS_DEFAULT=	LAGER ICONV
 
 MAKE_ENV=	PORTVERSION=${PORTVERSION}
 CONFIGURE_ARGS+=--localstatedir=/var --with-openssl=${OPENSSLBASE} --with-expat=${LOCALBASE}
+MAKE_ARGS=	"CPPFLAGS=${CPPFLAGS}" "CFLAGS=${CFLAGS}" "LDFLAGS=${LDFLAGS}"
+CPPFLAGS+=	-I${LOCALBASE}/include
+CFLAGS+=	-I${LOCALBASE}/include
+LDFLAGS+=	-L${LOCALBASE}/lib
 PKGMESSAGE=	${WRKDIR}/pkg-message
 PKGINSTALL=	${WRKDIR}/pkg-install
 PLIST_SUB=	PORTNAME=${PORTNAME} PORTVERSION=${PORTVERSION}
@@ -36,17 +46,31 @@ SUB_FILES=	pkg-message pkg-install
 SUB_LIST=	PORTNAME=${PORTNAME} PORTVERSION=${PORTVERSION} \
 		USERS=${USERS} GROUPS=${GROUPS} SHAREMODE=${SHAREMODE} \
 		SHAREOWN=${SHAREOWN} SHAREGRP=${SHAREGRP}
-WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}/src
 
 OPTIONS_SUB=		yes
+HTTP_DESC=	HTTP support
+STUN_DESC=	STUN support
+LAGER_DESC=	LAGER logger
 PAM_CONFIGURE_ENABLE=	pam
 ODBC_CONFIGURE_ENABLE=	odbc
+LAGER_CONFIGURE_ENABLE=	lager
+HTTP_CONFIGURE_ENABLE=	http
+JSON_CONFIGURE_ENABLE=	json
+STUN_CONFIGURE_ENABLE=	stun
+MYSQL_CONFIGURE_ENABLE=	mysql
+PGSQL_CONFIGURE_ENABLE=	pgsql
+ICONV_CONFIGURE_ENABLE=	iconv
+ICONV_USES=		iconv
+ICONV_LDFLAGS=		${ICONV_LIB}
 DOCS_MAKE_ARGS_OFF=	NOPORTDOCS=yes
 
 USE_OPENSSL=	yes
 
 .include <bsd.port.pre.mk>
 
+post-extract:
+	@${LN} -s ${WRKDIR}/deps ${WRKSRC}/
+
 post-patch:
 	@${REINPLACE_CMD} -e 's,/usr/local,${LOCALBASE},g' ${WRKSRC}/configure
 

Modified: head/net-im/ejabberd/distinfo
==============================================================================
--- head/net-im/ejabberd/distinfo	Sun May 25 03:29:32 2014	(r355107)
+++ head/net-im/ejabberd/distinfo	Sun May 25 03:55:50 2014	(r355108)
@@ -1,2 +1,4 @@
-SHA256 (ejabberd-2.1.13.tgz) = a80d1c72e435da31758261cb0c04fe750ac71fc3e33a3b606123efd3b3abc86d
-SIZE (ejabberd-2.1.13.tgz) = 1999853
+SHA256 (ejabberd-14.05.tgz) = 1f97b1625bab99c7328010ad576810e70ae5d5c89c701b92cbc8d1999e4014cd
+SIZE (ejabberd-14.05.tgz) = 2143652
+SHA256 (ejabberd-deps-0.tar.xz) = be2def83af3dee383a6d1e20348d628588898fda4aba4f4210beb966708fa620
+SIZE (ejabberd-deps-0.tar.xz) = 9939900

Added: head/net-im/ejabberd/files/patch-Makefile.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net-im/ejabberd/files/patch-Makefile.in	Sun May 25 03:55:50 2014	(r355108)
@@ -0,0 +1,81 @@
+
+$FreeBSD$
+
+--- Makefile.in.orig
++++ Makefile.in
+@@ -15,7 +15,7 @@
+ SBINDIR = $(DESTDIR)@sbindir@
+ 
+ # /lib/ejabberd/
+-EJABBERDDIR = $(DESTDIR)@libdir@/ejabberd
++EJABBERDDIR = $(DESTDIR)@libdir@/erlang/lib/ejabberd-$(PORTVERSION)
+ 
+ # /share/doc/ejabberd
+ PACKAGE_TARNAME = @PACKAGE_TARNAME@
+@@ -41,7 +41,7 @@
+ MSGSDIR = $(PRIVDIR)/msgs
+ 
+ # /var/lib/ejabberd/
+-SPOOLDIR = $(DESTDIR)@localstatedir@/lib/ejabberd
++SPOOLDIR = $(DESTDIR)@localstatedir@/spool/ejabberd
+ 
+ # /var/lock/ejabberdctl
+ CTLLOCKDIR = $(DESTDIR)@localstatedir@/lock/ejabberdctl
+@@ -109,25 +109,22 @@
+ 	#
+ 	# Configuration files
+ 	$(INSTALL) -d -m 750 $(G_USER) $(ETCDIR)
+-	[ -f $(ETCDIR)/ejabberd.yml ] \
+-		&& $(INSTALL) -b -m 640 $(G_USER) ejabberd.yml.example $(ETCDIR)/ejabberd.yml-new \
+-		|| $(INSTALL) -b -m 640 $(G_USER) ejabberd.yml.example $(ETCDIR)/ejabberd.yml
++	$(INSTALL) -m 640 $(G_USER) ejabberd.yml.example $(ETCDIR)
+ 	$(SED) -e "s*{{rootdir}}*@prefix@*" \
+ 		-e "s*{{installuser}}*@INSTALLUSER@*" \
+ 		-e "s*{{libdir}}*@libdir@*" \
+ 		-e "s*{{sysconfdir}}*@sysconfdir@*" \
+ 		-e "s*{{localstatedir}}*@localstatedir@*" \
+ 		-e "s*{{docdir}}*@docdir@*" \
+-		-e "s*{{erl}}*@ERL@*" ejabberdctl.template \
+-		> ejabberdctl.example
+-	[ -f $(ETCDIR)/ejabberdctl.cfg ] \
+-		&& $(INSTALL) -b -m 640 $(G_USER) ejabberdctl.cfg.example $(ETCDIR)/ejabberdctl.cfg-new \
+-		|| $(INSTALL) -b -m 640 $(G_USER) ejabberdctl.cfg.example $(ETCDIR)/ejabberdctl.cfg
+-	$(INSTALL) -b -m 644 $(G_USER) inetrc $(ETCDIR)/inetrc
++		-e "s*{{erl}}*@ERL@*" \
++ 		-e "s*lib/erlang/lib/ejabberd*lib/erlang/lib/ejabberd-$(PORTVERSION)*" \
++		ejabberdctl.template > ejabberdctl.example
++	$(INSTALL) -m 640 $(G_USER) ejabberdctl.cfg.example $(ETCDIR)
++	$(INSTALL) -b -m 644 $(G_USER) inetrc $(ETCDIR)/inetrc.example
+ 	#
+ 	# Administration script
+ 	[ -d $(SBINDIR) ] || $(INSTALL) -d -m 755 $(SBINDIR)
+-	$(INSTALL) -m 550 $(G_USER) ejabberdctl.example $(SBINDIR)/ejabberdctl
++	$(INSTALL) -m 555 $(G_USER) ejabberdctl.example $(SBINDIR)/ejabberdctl
+ 	#
+ 	# Init script
+ 	$(SED) -e "s*@ctlscriptpath@*$(SBINDIR)*" \
+@@ -151,6 +148,8 @@
+ 	# Binary C programs
+ 	$(INSTALL) -d $(PBINDIR)
+ 	$(INSTALL) -m 750 $(O_USER) tools/captcha.sh $(PBINDIR)
++	-[ -f deps/p1_pam/priv/bin/epam ] \
++		&& $(INSTALL) -m 750 $(O_USER) deps/p1_pam/priv/bin/epam $(PBINDIR)
+ 	#
+ 	# Binary system libraries
+ 	$(INSTALL) -d $(SODIR)
+@@ -177,6 +176,7 @@
+ 	chmod -R 750 $(LOGDIR)
+ 	#
+ 	# Documentation
++ifndef NOPORTDOCS
+ 	$(INSTALL) -d $(DOCDIR)
+ 	$(INSTALL) -m 644 doc/dev.html $(DOCDIR)
+ 	$(INSTALL) -m 644 doc/guide.html $(DOCDIR)
+@@ -186,6 +186,7 @@
+ 		&& $(INSTALL) -m 644 doc/guide.pdf $(DOCDIR) \
+ 		|| echo "No doc/guide.pdf was built"
+ 	$(INSTALL) -m 644 COPYING $(DOCDIR)
++endif
+ 
+ uninstall: uninstall-binary
+ 

Added: head/net-im/ejabberd/files/patch-ejabberdctl.template
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net-im/ejabberd/files/patch-ejabberdctl.template	Sun May 25 03:55:50 2014	(r355108)
@@ -0,0 +1,31 @@
+
+$FreeBSD$
+
+--- ejabberdctl.template.orig
++++ ejabberdctl.template
+@@ -68,10 +68,10 @@
+     EJABBERD_CONFIG_PATH=$ETCDIR/ejabberd.yml
+ fi
+ if [ "$LOGS_DIR" = "" ] ; then
+-    LOGS_DIR={{localstatedir}}/log/ejabberd
++     LOGS_DIR=/var/log/ejabberd
+ fi
+ if [ "$SPOOLDIR" = "" ] ; then
+-    SPOOLDIR={{localstatedir}}/lib/ejabberd
++     SPOOLDIR=/var/spool/ejabberd
+ fi
+ if [ "$EJABBERD_DOC_PATH" = "" ] ; then
+     EJABBERD_DOC_PATH={{docdir}}
+@@ -85,10 +85,10 @@
+         EJABBERDDIR={{libdir}}/ejabberd
+     fi
+     if [ "$EJABBERD_EBIN_PATH" = "" ] ; then
+-        EJABBERD_EBIN_PATH=$EJABBERDDIR/ebin
++     EJABBERD_EBIN_PATH={{rootdir}}/lib/erlang/lib/ejabberd/ebin
+     fi
+     if [ "$EJABBERD_PRIV_PATH" = "" ] ; then
+-        EJABBERD_PRIV_PATH=$EJABBERDDIR/priv
++     EJABBERD_PRIV_PATH={{rootdir}}/lib/erlang/lib/ejabberd/priv
+     fi
+     if [ "$EJABBERD_BIN_PATH" = "" ] ; then
+         EJABBERD_BIN_PATH=$EJABBERD_PRIV_PATH/bin

Modified: head/net-im/ejabberd/pkg-plist
==============================================================================
--- head/net-im/ejabberd/pkg-plist	Sun May 25 03:29:32 2014	(r355107)
+++ head/net-im/ejabberd/pkg-plist	Sun May 25 03:55:50 2014	(r355108)
@@ -1,4 +1,4 @@
-%%ETCDIR%%/%%PORTNAME%%.cfg.example
+%%ETCDIR%%/%%PORTNAME%%.yml.example
 %%ETCDIR%%/%%PORTNAME%%ctl.cfg.example
 %%ETCDIR%%/inetrc.example
 @unexec if cmp -s %D/%%ETCDIR%%/%%PORTNAME%%.defaults.example %D/%%ETCDIR%%/%%PORTNAME%%.defaults; then rm -f %D/%%ETCDIR%%/%%PORTNAME%%.defaults; fi
@@ -9,14 +9,16 @@ lib/erlang/lib/%%PORTNAME%%-%%PORTVERSIO
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/XmppAddr.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/acl.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/adhoc.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/beam_util.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/cache_tab.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/cache_tab_sup.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/cache_tab_app.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/cache_tab_treap.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/cyrsasl.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/cyrsasl_anonymous.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/cyrsasl_digest.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/cyrsasl_plain.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/cyrsasl_scram.beam
-lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/dynamic_compile.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/%%PORTNAME%%.app
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/%%PORTNAME%%.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/%%PORTNAME%%_admin.beam
@@ -31,7 +33,6 @@ lib/erlang/lib/%%PORTNAME%%-%%PORTVERSIO
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/%%PORTNAME%%_c2s.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/%%PORTNAME%%_c2s_config.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/%%PORTNAME%%_captcha.beam
-lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/%%PORTNAME%%_check.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/%%PORTNAME%%_commands.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/%%PORTNAME%%_config.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/%%PORTNAME%%_ctl.beam
@@ -42,11 +43,10 @@ lib/erlang/lib/%%PORTNAME%%-%%PORTVERSIO
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/%%PORTNAME%%_http_poll.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/%%PORTNAME%%_listener.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/%%PORTNAME%%_local.beam
-lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/%%PORTNAME%%_logger_h.beam
-lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/%%PORTNAME%%_loglevel.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/%%PORTNAME%%_logger.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/%%PORTNAME%%_node_groups.beam
-%%ODBC%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/%%PORTNAME%%_odbc.beam
-%%ODBC%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/%%PORTNAME%%_odbc_sup.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/%%PORTNAME%%_odbc.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/%%PORTNAME%%_odbc_sup.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/%%PORTNAME%%_piefxis.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/%%PORTNAME%%_rdbms.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/%%PORTNAME%%_receiver.beam
@@ -65,27 +65,102 @@ lib/erlang/lib/%%PORTNAME%%-%%PORTVERSIO
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/%%PORTNAME%%_update.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/%%PORTNAME%%_web.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/%%PORTNAME%%_web_admin.beam
-lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/%%PORTNAME%%_zlib.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/%%PORTNAME%%_xmlrpc.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/ejd2odbc.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/eldap.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/eldap_filter.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/eldap_filter_yecc.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/eldap_pool.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/eldap_utils.beam
+%%PAM%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/epam_app.beam
+%%PAM%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/epam_sup.beam
 %%PAM%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/epam.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/esip.app
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/esip.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/esip_app.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/esip_client_transaction.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/esip_codec.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/esip_dialog.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/esip_listener.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/esip_server_transaction.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/esip_socket.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/esip_sup.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/esip_tmp_sup.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/esip_transaction.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/esip_transport.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/esip_udp_sup.beam
+%%LAGER%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/error_logger_lager_h.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/example_serv.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/extauth.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/ezlib.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/ezlib_app.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/ezlib_sup.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/gen_iq_handler.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/gen_mod.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/gen_pubsub_node.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/gen_pubsub_nodetree.beam
-lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/iconv.beam
+%%LAGER%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/glc.beam
+%%LAGER%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/glc_code.beam
+%%LAGER%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/glc_lib.beam
+%%LAGER%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/glc_ops.beam
+%%LAGER%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/goldrush.app
+%%LAGER%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/gr_app.beam
+%%LAGER%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/gr_context.beam
+%%LAGER%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/gr_counter.beam
+%%LAGER%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/gr_counter_sup.beam
+%%LAGER%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/gr_manager.beam
+%%LAGER%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/gr_manager_sup.beam
+%%LAGER%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/gr_param.beam
+%%LAGER%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/gr_param_sup.beam
+%%LAGER%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/gr_sup.beam
+%%LAGER%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/gre.beam
+%%HTTP%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/ibrowse.app
+%%HTTP%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/ibrowse.beam
+%%HTTP%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/ibrowse_app.beam
+%%HTTP%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/ibrowse_http_client.beam
+%%HTTP%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/ibrowse_lb.beam
+%%HTTP%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/ibrowse_lib.beam
+%%HTTP%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/ibrowse_socks5.beam
+%%HTTP%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/ibrowse_sup.beam
+%%ICONV%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/iconv.beam
+%%ICONV%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/iconv_app.beam
+%%ICONV%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/iconv_sup.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/idna.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/jd2ejd.beam
+%%JSON%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/jiffy.app
+%%JSON%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/jiffy.beam
+%%JSON%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/jiffy_utf8.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/jlib.beam
+%%LAGER%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/lager.app
+%%LAGER%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/lager.beam
+%%LAGER%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/lager_app.beam
+%%LAGER%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/lager_backend_throttle.beam
+%%LAGER%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/lager_config.beam
+%%LAGER%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/lager_console_backend.beam
+%%LAGER%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/lager_crash_log.beam
+%%LAGER%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/lager_default_formatter.beam
+%%LAGER%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/lager_file_backend.beam
+%%LAGER%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/lager_format.beam
+%%LAGER%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/lager_handler_watcher.beam
+%%LAGER%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/lager_handler_watcher_sup.beam
+%%LAGER%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/lager_msg.beam
+%%LAGER%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/lager_stdlib.beam
+%%LAGER%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/lager_sup.beam
+%%LAGER%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/lager_transform.beam
+%%LAGER%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/lager_trunc_io.beam
+%%LAGER%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/lager_util.beam
+%%HTTP%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/lhttpc.app
+%%HTTP%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/lhttpc.beam
+%%HTTP%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/lhttpc_client.beam
+%%HTTP%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/lhttpc_lib.beam
+%%HTTP%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/lhttpc_manager.beam
+%%HTTP%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/lhttpc_sock.beam
+%%HTTP%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/lhttpc_sup.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/mod_adhoc.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/mod_announce.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/mod_blocking.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/mod_caps.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/mod_carboncopy.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/mod_configure.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/mod_configure2.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/mod_disco.beam
@@ -118,6 +193,9 @@ lib/erlang/lib/%%PORTNAME%%-%%PORTVERSIO
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/mod_shared_roster.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/mod_shared_roster_ldap.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/mod_sic.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/mod_sip.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/mod_sip_proxy.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/mod_sip_registrar.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/mod_stats.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/mod_time.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/mod_vcard.beam
@@ -141,52 +219,127 @@ lib/erlang/lib/%%PORTNAME%%-%%PORTVERSIO
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/nodetree_tree.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/nodetree_tree_odbc.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/nodetree_virtual.beam
-%%ODBC%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/odbc_queries.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/odbc_queries.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/p1_cache_tab.app
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/p1_fsm.beam
+%%ICONV%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/p1_iconv.app
+%%NO_LAGER%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/p1_logger.app
+%%NO_LAGER%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/p1_logger.beam
+%%NO_LAGER%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/p1_logger_app.beam
+%%NO_LAGER%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/p1_logger_h.beam
+%%NO_LAGER%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/p1_logger_sup.beam
+%%NO_LAGER%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/p1_loglevel.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/p1_mnesia.beam
-lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/pg2_backport.beam
+%%MYSQL%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/p1_mysql.app
+%%MYSQL%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/p1_mysql.beam
+%%MYSQL%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/p1_mysql_app.beam
+%%MYSQL%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/p1_mysql_auth.beam
+%%MYSQL%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/p1_mysql_conn.beam
+%%MYSQL%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/p1_mysql_recv.beam
+%%MYSQL%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/p1_mysql_sup.beam
+%%PAM%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/p1_pam.app
+%%PGSQL%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/p1_pgsql.app
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/p1_server.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/p1_sha.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/p1_stringprep.app
+%%STUN%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/p1_stun.app
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/p1_tls.app
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/p1_tls.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/p1_tls_app.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/p1_tls_sup.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/p1_xml.app
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/p1_yaml.app
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/p1_yaml.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/p1_yaml_app.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/p1_yaml_sup.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/p1_zlib.app
+%%PGSQL%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/pgsql.beam
+%%PGSQL%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/pgsql_app.beam
+%%PGSQL%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/pgsql_proto.beam
+%%PGSQL%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/pgsql_sup.beam
+%%PGSQL%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/pgsql_tcp.beam
+%%PGSQL%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/pgsql_util.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/pubsub_db_odbc.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/pubsub_index.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/pubsub_subscription.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/pubsub_subscription_odbc.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/randoms.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/scram.beam
-lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/sha.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/shaper.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/str.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/stringprep.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/stringprep_app.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/stringprep_sup.beam
-lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/stun_codec.beam
-lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/tls.beam
+%%STUN%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/stun.beam
+%%STUN%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/stun_app.beam
+%%STUN%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/stun_codec.beam
+%%STUN%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/stun_listener.beam
+%%STUN%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/stun_shaper.beam
+%%STUN%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/stun_sup.beam
+%%STUN%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/stun_test.beam
+%%STUN%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/stun_tmp_sup.beam
+%%STUN%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/stun_treap.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/tcp_serv.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/translate.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/treap.beam
+%%STUN%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/turn.beam
+%%STUN%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/turn_sm.beam
+%%STUN%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/turn_tmp_sup.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/url_util.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/win32_dns.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/xml.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/xml_app.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/xml_gen.beam
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/xml_stream.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/xml_sup.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/xmlrpc.app
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/xmlrpc.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/xmlrpc_decode.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/xmlrpc_encode.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/xmlrpc_http.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin/xmlrpc_util.beam
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/include/ELDAPv3.hrl
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/include/XmppAddr.hrl
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/include/adhoc.hrl
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/include/%%PORTNAME%%.hrl
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/include/%%PORTNAME%%_commands.hrl
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/include/%%PORTNAME%%_config.hrl
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/include/%%PORTNAME%%_ctl.hrl
-lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/include/eldap/ELDAPv3.hrl
-lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/include/eldap/eldap.hrl
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/include/%%PORTNAME%%_http.hrl
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/include/%%PORTNAME%%_web_admin.hrl
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/include/eldap.hrl
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/include/esip.hrl
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/include/esip_lib.hrl
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/include/http_bind.hrl
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/include/ibrowse.hrl
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/include/jlib.hrl
-lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/include/mod_muc/mod_muc_room.hrl
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/include/lager.hrl
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/include/lhttpc.hrl
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/include/lhttpc_types.hrl
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/include/logger.hrl
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/include/mod_muc_room.hrl
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/include/mod_privacy.hrl
-lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/include/mod_proxy65/mod_proxy65.hrl
-lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/include/mod_pubsub/pubsub.hrl
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/include/mod_proxy65.hrl
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/include/mod_roster.hrl
-lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/include/web/%%PORTNAME%%_http.hrl
-lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/include/web/%%PORTNAME%%_web_admin.hrl
-lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/include/web/http_bind.hrl
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/include/ns.hrl
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/include/p1_logger.hrl
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/include/p1_mysql.hrl
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/include/pubsub.hrl
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/include/stun.hrl
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/include/xml.hrl
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/include/xml_gen.hrl
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/include/xmlrpc.hrl
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/priv/bin/captcha.sh
 %%PAM%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/priv/bin/epam
-lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/priv/lib/%%PORTNAME%%_zlib_drv.so
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/priv/lib/esip_drv.so
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/priv/lib/expat_erl.so
-lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/priv/lib/iconv_erl.so
-lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/priv/lib/sha_drv.so
-lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/priv/lib/stringprep_drv.so
-lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/priv/lib/tls_drv.so
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/priv/lib/ezlib_drv.so
+%%ICONV%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/priv/lib/iconv.so
+%%JSON%%lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/priv/lib/jiffy.so
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/priv/lib/p1_sha.so
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/priv/lib/p1_tls_drv.so
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/priv/lib/p1_yaml.so
+lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/priv/lib/stringprep.so
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/priv/msgs/ca.msg
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/priv/msgs/cs.msg
 lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/priv/msgs/de.msg
@@ -251,7 +404,6 @@ sbin/%%PORTNAME%%ctl
 %%PORTDOCS%%%%DOCSDIR%%/release_notes_2.1.10.txt
 %%PORTDOCS%%%%DOCSDIR%%/release_notes_2.1.11.txt
 %%PORTDOCS%%%%DOCSDIR%%/release_notes_2.1.12.txt
-%%PORTDOCS%%%%DOCSDIR%%/release_notes_2.1.13.txt
 %%PORTDOCS%%%%DOCSDIR%%/webadmmain.png
 %%PORTDOCS%%%%DOCSDIR%%/webadmmainru.png
 %%PORTDOCS%%%%DOCSDIR%%/yozhikheader.png
@@ -260,11 +412,6 @@ sbin/%%PORTNAME%%ctl
 @dirrm lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/priv/lib
 @dirrm lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/priv/bin
 @dirrm lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/priv
-@dirrm lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/include/web
-@dirrm lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/include/mod_pubsub
-@dirrm lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/include/mod_proxy65
-@dirrm lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/include/mod_muc
-@dirrm lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/include/eldap
 @dirrm lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/include
 @dirrm lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%/ebin
 @dirrm lib/erlang/lib/%%PORTNAME%%-%%PORTVERSION%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Ashish SHUKLA freebsd_committer 2014-05-25 05:02:54 UTC
State Changed
From-To: open->closed

Committed, with some changes. Thanks!